<?php

namespace Tests\Services\LogisticYTOService;

use App\Services\LogisticYDService;
use Tests\TestCase;
use App\LogisticYD;
use App\Traits\TestMockSubServices;

class FormatTest extends TestCase
{
    use TestMockSubServices;

    /** @var LogisticYDService $service */
    public $service;
    private $data;
    private $amount = 2;

    function setUp(): void
    {
        parent::setUp();
        $this->service = app('LogisticYTOService');
    }

    /**
     * @test
     */
    public function format_test()
    {
        $result = $this->service->format($this->service->query('YT5481469185320'));
        dump($result);
        $this->assertNotEmpty($result);

    }
}
